
<h2 >This is For Custom Directive.</h2>
<h2 appStyleChange>This is For Custom Directive.</h2>

<input type="text" [(ngModel)]="tab" />
<div [ngSwitch]="tab">
  <div *ngSwitchCase="1">Tab content 1</div>
  <div *ngSwitchCase="2">
    <div *ngFor="let customer of customers;let i =index;let isOdd=odd;">
        <div [ngClass]="['dark','card']" *ngIf="i!=1">
            <div >{{i}}</div>
            <div >{{isOdd}}</div>
            <div >{{customer.name}}</div>
            <div >{{customer.age}}</div>
            <div >
                <div *ngFor="let child of customer.child">
                    {{child.childName}}
                </div>
        </div>
    </div>
    </div>
  </div>
  <div *ngSwitchCase="3">Tab content 3</div>
  <div *ngSwitchDefault>
    Choose between 1 to 3
  </div>

</div>



<br>------------------------------------------------------------------------------<br>
<p>header works!</p>
<div [ngClass]="{'orange':true,'flat':false}">This is Attribute Directive for ngClass</div>
<div [ngClass]="['dark','card']">2nd example - This is Attribute Directive for ngClass</div>
<div class="big" >Css Style Implementation</div>
<div >Without style</div>
<div style="color:blueviolet;font-size:medium;">This is style attribute</div>
<div [ngStyle]="appendStyle">This is ngStyle attribute</div>

-------------------------------------------------------------<br>
<button (click)="choose=!choose">Choose</button>
<div *ngIf="choose" >
    <div *ngFor="let customer of customers;let i =index;let isOdd=odd;">
    <div [ngClass]="['dark','card']" *ngIf="i!=1">
        <div >{{i}}</div>
        <div >{{isOdd}}</div>
        <div >{{customer.name}}</div>
        <div >{{customer.age}}</div>
        <div >
            <div *ngFor="let child of customer.child">
                {{child.childName}}
            </div>
    </div>
</div>
</div>
